summaryrefslogtreecommitdiffstats
path: root/scripts/autobuilder-worker-prereq-tests
diff options
context:
space:
mode:
authorMichael Halstead <mhalstead@linuxfoundation.org>2022-05-11 11:52:53 -0700
committerRichard Purdie <richard.purdie@linuxfoundation.org>2022-05-11 19:59:42 +0100
commit6149bd4d4e23f69371b645d4c5fc6706e2413130 (patch)
tree5da3204e510796db62a6e1e4a9a867a4c3087938 /scripts/autobuilder-worker-prereq-tests
parent53e86ed1af73834be03762eb8ce98aa977a12001 (diff)
downloadopenembedded-core-6149bd4d4e23f69371b645d4c5fc6706e2413130.tar.gz
scripts/autobuilder-worker-prereq-tests: add additional limit testing
Check that open file and user process limits are greater than or equal to what the autobuilder uses. Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts/autobuilder-worker-prereq-tests')
-rwxr-xr-xscripts/autobuilder-worker-prereq-tests15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/autobuilder-worker-prereq-tests b/scripts/autobuilder-worker-prereq-tests
index 3956349b30..572227dccd 100755
--- a/scripts/autobuilder-worker-prereq-tests
+++ b/scripts/autobuilder-worker-prereq-tests
@@ -51,6 +51,21 @@ if (( $WATCHES < 65000 )); then
echo 'Need to increase watches (echo fs.inotify.max_user_watches=65536 | sudo tee -a /etc/sysctl.conf'
exit 1
fi
+OPEN_FILES=$(ulimit -n)
+if (( $OPEN_FILES < 65535 )); then
+ echo 'Increase maximum open files in /etc/security/limits.conf'
+ echo '* soft nofile 131072'
+ echo '* hard nofile 131072'
+ exit 1
+fi
+MAX_PROCESSES=$(ulimit -u)
+if (( $MAX_PROCESSES < 514542 )); then
+ echo 'Increase maximum user processes in /etc/security/limits.conf'
+ echo '* hard nproc 515294'
+ echo '* soft nproc 514543'
+ exit 1
+fi
+
mkdir -p tmp/deploy/images/qemux86-64
pushd tmp/deploy/images/qemux86-64
if [ ! -e core-image-minimal-qemux86-64.ext4 ]; then